Subject: Re: bug#68254: EWW ‘readable’ by default

From: Navajeeth <[email-masked]>
Date: Mon, 18 Mar 2024 05:17:25 +0000

Thank you so much for the patch, @Jim! I dunno how to apply patches, but I’ll learn and try yours out as soon as I can.

Having regexps to match to turn readability on is a good start. I hope there will be a more convenient way to do that, other than having to manually add to that list in your init.el; maybe a function that proactively asks you, when you apply readability, if you’d like to add it to that list with a ‘y or n’.

Albeit I find myself opening a lot of small blogs and personal websites in EWW. A lot of different domain names. Both a function that asks to automatically add to a readability-on list and manually adding to that list sound like a hassle.

I think a better way to go would be to have a readability-off list for the readability-minor-mode. In my experience, with the kind of sites I open with EWW (textual sites without a lot of graphics or JavaScript), the list of ones where ‘eww-readable’ doesn’t work is a lot smaller than the ones where it does.

But I agree with @Adam that readability shouldn’t be on as the default behaviour. I gave this thread a bad subject line. I meant in the sense: I wanted the option to turn it on and replace the default behaviour for me, because I was finding that most of the sites I was opening with EWW were working better with readability. And perhaps have it as an option for everyone to turn on.

—Navajeeth